Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.40.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
112.40.0.0
Broadcast address
112.40.127.255
First usable
112.40.0.1
Last usable
112.40.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 70280000 · Integer 1881669632 to 1881702399
Reverse DNS zones
0.40.112.in-addr.arpa
1.40.112.in-addr.arpa
2.40.112.in-addr.arpa
3.40.112.in-addr.arpa
4.40.112.in-addr.arpa
5.40.112.in-addr.arpa
6.40.112.in-addr.arpa
7.40.112.in-addr.arpa
8.40.112.in-addr.arpa
9.40.112.in-addr.arpa
10.40.112.in-addr.arpa
11.40.112.in-addr.arpa
12.40.112.in-addr.arpa
13.40.112.in-addr.arpa
14.40.112.in-addr.arpa
15.40.112.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00101000.00000000.00000000112.40.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01110000.00101000.00000000.00000000112.40.0.0
Broadcast01110000.00101000.01111111.11111111112.40.127.255
Split into smaller subnets/29

112.40.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.40.0.0/29112.40.0.1 to 112.40.0.6112.40.0.76
2112.40.0.8/29112.40.0.9 to 112.40.0.14112.40.0.156
3112.40.0.16/29112.40.0.17 to 112.40.0.22112.40.0.236
4112.40.0.24/29112.40.0.25 to 112.40.0.30112.40.0.316
5112.40.0.32/29112.40.0.33 to 112.40.0.38112.40.0.396
6112.40.0.40/29112.40.0.41 to 112.40.0.46112.40.0.476
7112.40.0.48/29112.40.0.49 to 112.40.0.54112.40.0.556
8112.40.0.56/29112.40.0.57 to 112.40.0.62112.40.0.636
9112.40.0.64/29112.40.0.65 to 112.40.0.70112.40.0.716
10112.40.0.72/29112.40.0.73 to 112.40.0.78112.40.0.796
11112.40.0.80/29112.40.0.81 to 112.40.0.86112.40.0.876
12112.40.0.88/29112.40.0.89 to 112.40.0.94112.40.0.956
13112.40.0.96/29112.40.0.97 to 112.40.0.102112.40.0.1036
14112.40.0.104/29112.40.0.105 to 112.40.0.110112.40.0.1116
15112.40.0.112/29112.40.0.113 to 112.40.0.118112.40.0.1196
16112.40.0.120/29112.40.0.121 to 112.40.0.126112.40.0.1276
17112.40.0.128/29112.40.0.129 to 112.40.0.134112.40.0.1356
18112.40.0.136/29112.40.0.137 to 112.40.0.142112.40.0.1436
19112.40.0.144/29112.40.0.145 to 112.40.0.150112.40.0.1516
20112.40.0.152/29112.40.0.153 to 112.40.0.158112.40.0.1596
21112.40.0.160/29112.40.0.161 to 112.40.0.166112.40.0.1676
22112.40.0.168/29112.40.0.169 to 112.40.0.174112.40.0.1756
23112.40.0.176/29112.40.0.177 to 112.40.0.182112.40.0.1836
24112.40.0.184/29112.40.0.185 to 112.40.0.190112.40.0.1916
25112.40.0.192/29112.40.0.193 to 112.40.0.198112.40.0.1996
26112.40.0.200/29112.40.0.201 to 112.40.0.206112.40.0.2076
27112.40.0.208/29112.40.0.209 to 112.40.0.214112.40.0.2156
28112.40.0.216/29112.40.0.217 to 112.40.0.222112.40.0.2236
29112.40.0.224/29112.40.0.225 to 112.40.0.230112.40.0.2316
30112.40.0.232/29112.40.0.233 to 112.40.0.238112.40.0.2396
31112.40.0.240/29112.40.0.241 to 112.40.0.246112.40.0.2476
32112.40.0.248/29112.40.0.249 to 112.40.0.254112.40.0.2556
33112.40.1.0/29112.40.1.1 to 112.40.1.6112.40.1.76
34112.40.1.8/29112.40.1.9 to 112.40.1.14112.40.1.156
35112.40.1.16/29112.40.1.17 to 112.40.1.22112.40.1.236
36112.40.1.24/29112.40.1.25 to 112.40.1.30112.40.1.316
37112.40.1.32/29112.40.1.33 to 112.40.1.38112.40.1.396
38112.40.1.40/29112.40.1.41 to 112.40.1.46112.40.1.476
39112.40.1.48/29112.40.1.49 to 112.40.1.54112.40.1.556
40112.40.1.56/29112.40.1.57 to 112.40.1.62112.40.1.636
41112.40.1.64/29112.40.1.65 to 112.40.1.70112.40.1.716
42112.40.1.72/29112.40.1.73 to 112.40.1.78112.40.1.796
43112.40.1.80/29112.40.1.81 to 112.40.1.86112.40.1.876
44112.40.1.88/29112.40.1.89 to 112.40.1.94112.40.1.956
45112.40.1.96/29112.40.1.97 to 112.40.1.102112.40.1.1036
46112.40.1.104/29112.40.1.105 to 112.40.1.110112.40.1.1116
47112.40.1.112/29112.40.1.113 to 112.40.1.118112.40.1.1196
48112.40.1.120/29112.40.1.121 to 112.40.1.126112.40.1.1276
49112.40.1.128/29112.40.1.129 to 112.40.1.134112.40.1.1356
50112.40.1.136/29112.40.1.137 to 112.40.1.142112.40.1.1436
51112.40.1.144/29112.40.1.145 to 112.40.1.150112.40.1.1516
52112.40.1.152/29112.40.1.153 to 112.40.1.158112.40.1.1596
53112.40.1.160/29112.40.1.161 to 112.40.1.166112.40.1.1676
54112.40.1.168/29112.40.1.169 to 112.40.1.174112.40.1.1756
55112.40.1.176/29112.40.1.177 to 112.40.1.182112.40.1.1836
56112.40.1.184/29112.40.1.185 to 112.40.1.190112.40.1.1916
57112.40.1.192/29112.40.1.193 to 112.40.1.198112.40.1.1996
58112.40.1.200/29112.40.1.201 to 112.40.1.206112.40.1.2076
59112.40.1.208/29112.40.1.209 to 112.40.1.214112.40.1.2156
60112.40.1.216/29112.40.1.217 to 112.40.1.222112.40.1.2236
61112.40.1.224/29112.40.1.225 to 112.40.1.230112.40.1.2316
62112.40.1.232/29112.40.1.233 to 112.40.1.238112.40.1.2396
63112.40.1.240/29112.40.1.241 to 112.40.1.246112.40.1.2476
64112.40.1.248/29112.40.1.249 to 112.40.1.254112.40.1.2556
65112.40.2.0/29112.40.2.1 to 112.40.2.6112.40.2.76
66112.40.2.8/29112.40.2.9 to 112.40.2.14112.40.2.156
67112.40.2.16/29112.40.2.17 to 112.40.2.22112.40.2.236
68112.40.2.24/29112.40.2.25 to 112.40.2.30112.40.2.316
69112.40.2.32/29112.40.2.33 to 112.40.2.38112.40.2.396
70112.40.2.40/29112.40.2.41 to 112.40.2.46112.40.2.476
71112.40.2.48/29112.40.2.49 to 112.40.2.54112.40.2.556
72112.40.2.56/29112.40.2.57 to 112.40.2.62112.40.2.636
73112.40.2.64/29112.40.2.65 to 112.40.2.70112.40.2.716
74112.40.2.72/29112.40.2.73 to 112.40.2.78112.40.2.796
75112.40.2.80/29112.40.2.81 to 112.40.2.86112.40.2.876
76112.40.2.88/29112.40.2.89 to 112.40.2.94112.40.2.956
77112.40.2.96/29112.40.2.97 to 112.40.2.102112.40.2.1036
78112.40.2.104/29112.40.2.105 to 112.40.2.110112.40.2.1116
79112.40.2.112/29112.40.2.113 to 112.40.2.118112.40.2.1196
80112.40.2.120/29112.40.2.121 to 112.40.2.126112.40.2.1276
81112.40.2.128/29112.40.2.129 to 112.40.2.134112.40.2.1356
82112.40.2.136/29112.40.2.137 to 112.40.2.142112.40.2.1436
83112.40.2.144/29112.40.2.145 to 112.40.2.150112.40.2.1516
84112.40.2.152/29112.40.2.153 to 112.40.2.158112.40.2.1596
85112.40.2.160/29112.40.2.161 to 112.40.2.166112.40.2.1676
86112.40.2.168/29112.40.2.169 to 112.40.2.174112.40.2.1756
87112.40.2.176/29112.40.2.177 to 112.40.2.182112.40.2.1836
88112.40.2.184/29112.40.2.185 to 112.40.2.190112.40.2.1916
89112.40.2.192/29112.40.2.193 to 112.40.2.198112.40.2.1996
90112.40.2.200/29112.40.2.201 to 112.40.2.206112.40.2.2076
91112.40.2.208/29112.40.2.209 to 112.40.2.214112.40.2.2156
92112.40.2.216/29112.40.2.217 to 112.40.2.222112.40.2.2236
93112.40.2.224/29112.40.2.225 to 112.40.2.230112.40.2.2316
94112.40.2.232/29112.40.2.233 to 112.40.2.238112.40.2.2396
95112.40.2.240/29112.40.2.241 to 112.40.2.246112.40.2.2476
96112.40.2.248/29112.40.2.249 to 112.40.2.254112.40.2.2556
97112.40.3.0/29112.40.3.1 to 112.40.3.6112.40.3.76
98112.40.3.8/29112.40.3.9 to 112.40.3.14112.40.3.156
99112.40.3.16/29112.40.3.17 to 112.40.3.22112.40.3.236
100112.40.3.24/29112.40.3.25 to 112.40.3.30112.40.3.316
101112.40.3.32/29112.40.3.33 to 112.40.3.38112.40.3.396
102112.40.3.40/29112.40.3.41 to 112.40.3.46112.40.3.476
103112.40.3.48/29112.40.3.49 to 112.40.3.54112.40.3.556
104112.40.3.56/29112.40.3.57 to 112.40.3.62112.40.3.636
105112.40.3.64/29112.40.3.65 to 112.40.3.70112.40.3.716
106112.40.3.72/29112.40.3.73 to 112.40.3.78112.40.3.796
107112.40.3.80/29112.40.3.81 to 112.40.3.86112.40.3.876
108112.40.3.88/29112.40.3.89 to 112.40.3.94112.40.3.956
109112.40.3.96/29112.40.3.97 to 112.40.3.102112.40.3.1036
110112.40.3.104/29112.40.3.105 to 112.40.3.110112.40.3.1116
111112.40.3.112/29112.40.3.113 to 112.40.3.118112.40.3.1196
112112.40.3.120/29112.40.3.121 to 112.40.3.126112.40.3.1276
113112.40.3.128/29112.40.3.129 to 112.40.3.134112.40.3.1356
114112.40.3.136/29112.40.3.137 to 112.40.3.142112.40.3.1436
115112.40.3.144/29112.40.3.145 to 112.40.3.150112.40.3.1516
116112.40.3.152/29112.40.3.153 to 112.40.3.158112.40.3.1596
117112.40.3.160/29112.40.3.161 to 112.40.3.166112.40.3.1676
118112.40.3.168/29112.40.3.169 to 112.40.3.174112.40.3.1756
119112.40.3.176/29112.40.3.177 to 112.40.3.182112.40.3.1836
120112.40.3.184/29112.40.3.185 to 112.40.3.190112.40.3.1916
121112.40.3.192/29112.40.3.193 to 112.40.3.198112.40.3.1996
122112.40.3.200/29112.40.3.201 to 112.40.3.206112.40.3.2076
123112.40.3.208/29112.40.3.209 to 112.40.3.214112.40.3.2156
124112.40.3.216/29112.40.3.217 to 112.40.3.222112.40.3.2236
125112.40.3.224/29112.40.3.225 to 112.40.3.230112.40.3.2316
126112.40.3.232/29112.40.3.233 to 112.40.3.238112.40.3.2396
127112.40.3.240/29112.40.3.241 to 112.40.3.246112.40.3.2476
128112.40.3.248/29112.40.3.249 to 112.40.3.254112.40.3.2556
129112.40.4.0/29112.40.4.1 to 112.40.4.6112.40.4.76
130112.40.4.8/29112.40.4.9 to 112.40.4.14112.40.4.156
131112.40.4.16/29112.40.4.17 to 112.40.4.22112.40.4.236
132112.40.4.24/29112.40.4.25 to 112.40.4.30112.40.4.316
133112.40.4.32/29112.40.4.33 to 112.40.4.38112.40.4.396
134112.40.4.40/29112.40.4.41 to 112.40.4.46112.40.4.476
135112.40.4.48/29112.40.4.49 to 112.40.4.54112.40.4.556
136112.40.4.56/29112.40.4.57 to 112.40.4.62112.40.4.636
137112.40.4.64/29112.40.4.65 to 112.40.4.70112.40.4.716
138112.40.4.72/29112.40.4.73 to 112.40.4.78112.40.4.796
139112.40.4.80/29112.40.4.81 to 112.40.4.86112.40.4.876
140112.40.4.88/29112.40.4.89 to 112.40.4.94112.40.4.956
141112.40.4.96/29112.40.4.97 to 112.40.4.102112.40.4.1036
142112.40.4.104/29112.40.4.105 to 112.40.4.110112.40.4.1116
143112.40.4.112/29112.40.4.113 to 112.40.4.118112.40.4.1196
144112.40.4.120/29112.40.4.121 to 112.40.4.126112.40.4.1276
145112.40.4.128/29112.40.4.129 to 112.40.4.134112.40.4.1356
146112.40.4.136/29112.40.4.137 to 112.40.4.142112.40.4.1436
147112.40.4.144/29112.40.4.145 to 112.40.4.150112.40.4.1516
148112.40.4.152/29112.40.4.153 to 112.40.4.158112.40.4.1596
149112.40.4.160/29112.40.4.161 to 112.40.4.166112.40.4.1676
150112.40.4.168/29112.40.4.169 to 112.40.4.174112.40.4.1756
151112.40.4.176/29112.40.4.177 to 112.40.4.182112.40.4.1836
152112.40.4.184/29112.40.4.185 to 112.40.4.190112.40.4.1916
153112.40.4.192/29112.40.4.193 to 112.40.4.198112.40.4.1996
154112.40.4.200/29112.40.4.201 to 112.40.4.206112.40.4.2076
155112.40.4.208/29112.40.4.209 to 112.40.4.214112.40.4.2156
156112.40.4.216/29112.40.4.217 to 112.40.4.222112.40.4.2236
157112.40.4.224/29112.40.4.225 to 112.40.4.230112.40.4.2316
158112.40.4.232/29112.40.4.233 to 112.40.4.238112.40.4.2396
159112.40.4.240/29112.40.4.241 to 112.40.4.246112.40.4.2476
160112.40.4.248/29112.40.4.249 to 112.40.4.254112.40.4.2556
161112.40.5.0/29112.40.5.1 to 112.40.5.6112.40.5.76
162112.40.5.8/29112.40.5.9 to 112.40.5.14112.40.5.156
163112.40.5.16/29112.40.5.17 to 112.40.5.22112.40.5.236
164112.40.5.24/29112.40.5.25 to 112.40.5.30112.40.5.316
165112.40.5.32/29112.40.5.33 to 112.40.5.38112.40.5.396
166112.40.5.40/29112.40.5.41 to 112.40.5.46112.40.5.476
167112.40.5.48/29112.40.5.49 to 112.40.5.54112.40.5.556
168112.40.5.56/29112.40.5.57 to 112.40.5.62112.40.5.636
169112.40.5.64/29112.40.5.65 to 112.40.5.70112.40.5.716
170112.40.5.72/29112.40.5.73 to 112.40.5.78112.40.5.796
171112.40.5.80/29112.40.5.81 to 112.40.5.86112.40.5.876
172112.40.5.88/29112.40.5.89 to 112.40.5.94112.40.5.956
173112.40.5.96/29112.40.5.97 to 112.40.5.102112.40.5.1036
174112.40.5.104/29112.40.5.105 to 112.40.5.110112.40.5.1116
175112.40.5.112/29112.40.5.113 to 112.40.5.118112.40.5.1196
176112.40.5.120/29112.40.5.121 to 112.40.5.126112.40.5.1276
177112.40.5.128/29112.40.5.129 to 112.40.5.134112.40.5.1356
178112.40.5.136/29112.40.5.137 to 112.40.5.142112.40.5.1436
179112.40.5.144/29112.40.5.145 to 112.40.5.150112.40.5.1516
180112.40.5.152/29112.40.5.153 to 112.40.5.158112.40.5.1596
181112.40.5.160/29112.40.5.161 to 112.40.5.166112.40.5.1676
182112.40.5.168/29112.40.5.169 to 112.40.5.174112.40.5.1756
183112.40.5.176/29112.40.5.177 to 112.40.5.182112.40.5.1836
184112.40.5.184/29112.40.5.185 to 112.40.5.190112.40.5.1916
185112.40.5.192/29112.40.5.193 to 112.40.5.198112.40.5.1996
186112.40.5.200/29112.40.5.201 to 112.40.5.206112.40.5.2076
187112.40.5.208/29112.40.5.209 to 112.40.5.214112.40.5.2156
188112.40.5.216/29112.40.5.217 to 112.40.5.222112.40.5.2236
189112.40.5.224/29112.40.5.225 to 112.40.5.230112.40.5.2316
190112.40.5.232/29112.40.5.233 to 112.40.5.238112.40.5.2396
191112.40.5.240/29112.40.5.241 to 112.40.5.246112.40.5.2476
192112.40.5.248/29112.40.5.249 to 112.40.5.254112.40.5.2556
193112.40.6.0/29112.40.6.1 to 112.40.6.6112.40.6.76
194112.40.6.8/29112.40.6.9 to 112.40.6.14112.40.6.156
195112.40.6.16/29112.40.6.17 to 112.40.6.22112.40.6.236
196112.40.6.24/29112.40.6.25 to 112.40.6.30112.40.6.316
197112.40.6.32/29112.40.6.33 to 112.40.6.38112.40.6.396
198112.40.6.40/29112.40.6.41 to 112.40.6.46112.40.6.476
199112.40.6.48/29112.40.6.49 to 112.40.6.54112.40.6.556
200112.40.6.56/29112.40.6.57 to 112.40.6.62112.40.6.636
201112.40.6.64/29112.40.6.65 to 112.40.6.70112.40.6.716
202112.40.6.72/29112.40.6.73 to 112.40.6.78112.40.6.796
203112.40.6.80/29112.40.6.81 to 112.40.6.86112.40.6.876
204112.40.6.88/29112.40.6.89 to 112.40.6.94112.40.6.956
205112.40.6.96/29112.40.6.97 to 112.40.6.102112.40.6.1036
206112.40.6.104/29112.40.6.105 to 112.40.6.110112.40.6.1116
207112.40.6.112/29112.40.6.113 to 112.40.6.118112.40.6.1196
208112.40.6.120/29112.40.6.121 to 112.40.6.126112.40.6.1276
209112.40.6.128/29112.40.6.129 to 112.40.6.134112.40.6.1356
210112.40.6.136/29112.40.6.137 to 112.40.6.142112.40.6.1436
211112.40.6.144/29112.40.6.145 to 112.40.6.150112.40.6.1516
212112.40.6.152/29112.40.6.153 to 112.40.6.158112.40.6.1596
213112.40.6.160/29112.40.6.161 to 112.40.6.166112.40.6.1676
214112.40.6.168/29112.40.6.169 to 112.40.6.174112.40.6.1756
215112.40.6.176/29112.40.6.177 to 112.40.6.182112.40.6.1836
216112.40.6.184/29112.40.6.185 to 112.40.6.190112.40.6.1916
217112.40.6.192/29112.40.6.193 to 112.40.6.198112.40.6.1996
218112.40.6.200/29112.40.6.201 to 112.40.6.206112.40.6.2076
219112.40.6.208/29112.40.6.209 to 112.40.6.214112.40.6.2156
220112.40.6.216/29112.40.6.217 to 112.40.6.222112.40.6.2236
221112.40.6.224/29112.40.6.225 to 112.40.6.230112.40.6.2316
222112.40.6.232/29112.40.6.233 to 112.40.6.238112.40.6.2396
223112.40.6.240/29112.40.6.241 to 112.40.6.246112.40.6.2476
224112.40.6.248/29112.40.6.249 to 112.40.6.254112.40.6.2556
225112.40.7.0/29112.40.7.1 to 112.40.7.6112.40.7.76
226112.40.7.8/29112.40.7.9 to 112.40.7.14112.40.7.156
227112.40.7.16/29112.40.7.17 to 112.40.7.22112.40.7.236
228112.40.7.24/29112.40.7.25 to 112.40.7.30112.40.7.316
229112.40.7.32/29112.40.7.33 to 112.40.7.38112.40.7.396
230112.40.7.40/29112.40.7.41 to 112.40.7.46112.40.7.476
231112.40.7.48/29112.40.7.49 to 112.40.7.54112.40.7.556
232112.40.7.56/29112.40.7.57 to 112.40.7.62112.40.7.636
233112.40.7.64/29112.40.7.65 to 112.40.7.70112.40.7.716
234112.40.7.72/29112.40.7.73 to 112.40.7.78112.40.7.796
235112.40.7.80/29112.40.7.81 to 112.40.7.86112.40.7.876
236112.40.7.88/29112.40.7.89 to 112.40.7.94112.40.7.956
237112.40.7.96/29112.40.7.97 to 112.40.7.102112.40.7.1036
238112.40.7.104/29112.40.7.105 to 112.40.7.110112.40.7.1116
239112.40.7.112/29112.40.7.113 to 112.40.7.118112.40.7.1196
240112.40.7.120/29112.40.7.121 to 112.40.7.126112.40.7.1276
241112.40.7.128/29112.40.7.129 to 112.40.7.134112.40.7.1356
242112.40.7.136/29112.40.7.137 to 112.40.7.142112.40.7.1436
243112.40.7.144/29112.40.7.145 to 112.40.7.150112.40.7.1516
244112.40.7.152/29112.40.7.153 to 112.40.7.158112.40.7.1596
245112.40.7.160/29112.40.7.161 to 112.40.7.166112.40.7.1676
246112.40.7.168/29112.40.7.169 to 112.40.7.174112.40.7.1756
247112.40.7.176/29112.40.7.177 to 112.40.7.182112.40.7.1836
248112.40.7.184/29112.40.7.185 to 112.40.7.190112.40.7.1916
249112.40.7.192/29112.40.7.193 to 112.40.7.198112.40.7.1996
250112.40.7.200/29112.40.7.201 to 112.40.7.206112.40.7.2076
251112.40.7.208/29112.40.7.209 to 112.40.7.214112.40.7.2156
252112.40.7.216/29112.40.7.217 to 112.40.7.222112.40.7.2236
253112.40.7.224/29112.40.7.225 to 112.40.7.230112.40.7.2316
254112.40.7.232/29112.40.7.233 to 112.40.7.238112.40.7.2396
255112.40.7.240/29112.40.7.241 to 112.40.7.246112.40.7.2476
256112.40.7.248/29112.40.7.249 to 112.40.7.254112.40.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses